宝塔面板安装composer

有些项目安装会用到 composer,如果直接安装会报错 Warning: putenv() has been disabled

所以宝塔面板安装 composer 我们需要删除禁用函数,删除之后,才可以正常安装

下面就说说,宝塔面板 Linux 版本如何安装 composer

删除禁用函数

“PHP管理”→“禁用函数”→“删除putenv” 如下图所示:

安装 composer

删除禁用函数之后,就可以安装 composer 了,安装命令如下:

composer config -g repo.packagist composer https://packagist.phpcomposer.com
composer self-update
composer clear

你也可以用阿里源来安装命令如下:

composer config repo.packagist composer https://mirrors.aliyun.com/composer/

安装完成后,可以用命令:composer --version 来查看你安装的版本号。
宝塔面板是支持多版本PHP共存的,所以你需要把别的版本PHP的“putenv”删除掉即可正常安装。

最后

宝塔安装 composer 会报错的处理方法,大概就是这样了 ,如果是lnmp环境那么需要编辑PHP配置文件:

vi /usr/local/php/etc/php.ini 进入编辑状态,输入/,进入搜索模式,找到 disable_functions 寻找 disable_functions 字符串,将后面的 putenv 删除。

 

转载请注明出处,多谢!
THE END
分享
二维码
< <上一篇
下一篇>>